# Class InvalidUserCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.InvalidUserCodeException

All Implemented Interfaces:
  `Serializable`

public class InvalidUserCodeException extends GradleException
A `InvalidUserCodeException` is thrown when user-provided code cannot be executed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidUserCodeException()`
`InvalidUserCodeException(String message)`
`InvalidUserCodeException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidUserCodeException

public InvalidUserCodeException()

### InvalidUserCodeException

public InvalidUserCodeException(String message)

### InvalidUserCodeException

public InvalidUserCodeException(String message, Throwable cause)